Page MenuHomePhabricator

Merge config modules to their parent
Closed, ResolvedPublic

Description

  • mw.config.values.wbEntityTypes can go to wikibase.ui.entityViewInit
  • mw.config.values.wbGeoShapeStorageApiEndpoint can go to wikibase.ui.entityViewInit
  • mw.config.values.wbDataTypes can go to wikibase.dataTypesStore
  • wikibase.lexeme.config.LexemeLanguageCodePropertyIdConfig into special new lexeme

(Maybe)

  • mw.config.values.wbRefTabsEnabled
  • mw.config.values.wbSiteDetails

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 18 2019, 1:43 PM

Note: If the php code that returns the config value is expensive, this needs to be cached. See https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Wikibase/+/522613 for more information.

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptSep 23 2019, 9:57 AM
Ladsgroup updated the task description. (Show Details)Sep 23 2019, 10:08 AM

Change 538596 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/Wikibase@master] Use mw.config.values.wbGeoShapeStorageApiEndpoint as config.json instead

https://gerrit.wikimedia.org/r/538596

Change 538596 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Use mw.config.values.wbGeoShapeStorageApiEndpoint as config.json instead

https://gerrit.wikimedia.org/r/538596

Change 539200 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/Wikibase@master] Use package modules instead of mw.config.wbEntityTypes

https://gerrit.wikimedia.org/r/539200

Change 539200 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Use package modules instead of mw.config.wbEntityTypes

https://gerrit.wikimedia.org/r/539200

Ladsgroup updated the task description. (Show Details)Oct 2 2019, 3:59 PM

Change 540844 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/WikibaseLexeme@master] Drop LexemeLanguageCodePropertyIdConfig

https://gerrit.wikimedia.org/r/540844

Ladsgroup removed Ladsgroup as the assignee of this task.Oct 8 2019, 2:27 PM
Ladsgroup moved this task from Doing to Backlog on the RL Module Terminators Trailblazing board.

Most of them is done, the rest can be picked up later.

Ladsgroup moved this task from Incoming to Done on the User-Ladsgroup board.Oct 22 2019, 11:29 AM

We decided there's nothing we can do about it as part of this trailblaze.

Change 540844 abandoned by Ladsgroup:
Drop LexemeLanguageCodePropertyIdConfig

Reason:
Too much work for too little gain. Feel free to pick it up.

https://gerrit.wikimedia.org/r/540844

Ladsgroup closed this task as Resolved.Oct 23 2019, 10:57 AM
Ladsgroup claimed this task.